import os


class themeMinibase():
    # Basic Color definitions
    black               = "#191717"
    white               = "#f1f1f1"
    light_blue          = "#9bd7d1"
    dark_blue           = "#305d7a"
    light_orange        = "#f9a36c"
    orange              = "#f26628"
    yellow              = "#f8cb66"
    # Define layout styling
    layoutBgColor       = "background-color: " + white
    layoutNavbarBgColor = "background-color: " + black
    # (formUserInput) Used For password email and acount informations
    userInputFormColor  = "background-color: #ccebff"
    userInputFormStyle  = {'class': 'form-control form-control-lg'}
    userInputFormWitdh  = "width: 420px;"
    userInputDivClass   = "content-section"
    tableClass          = "table table-striped table-dark rounded-2"
    homeOverviewBgColor = "background-color: " + yellow
    homeNewsBgColor     = "background-color: " + light_blue
    homeSearchBgColor   = "background-color: " + light_orange
    # General Template Definition

    image               = "rounded-circle account-img"
    legend              = "border-bottom mb-2"
    smallInfoTextClass  = "text-muted"


class Config:
    # (FLASK) Sectret key wich will be used to secure some requests an connections
    SECRET_KEY = os.environ.get('MINIBASE_SECRET_KEY')

    # (SQLALCHEMY) COnfiguration
    SQLALCHEMY_DATABASE_URI = os.environ.get('MINIBASE_SQLALCHEMY_DATABASE_URI')

    # (MAIL AGENT) Configure mail Server to send EMails.
    MAIL_SERVER     = os.environ.get('MINIBASE_MAIL_SERVER')
    MAIL_USERNAME   = os.environ.get('MINIBASE_MAIL_USERNAME')
    MAIL_PASSWORD   = os.environ.get('MINIBASE_MAIL_PASSWORD')
    MAIL_PORT       = 465
    MAIL_USE_TLS    = False
    MAIL_USE_SSL    = True
