from flask import render_template, url_for, flash, redirect, request, Blueprint
from minibase import db
from minibase.config import themeMinibase
from minibase.models import Person
from minibase.person.forms import personForm
import minibase.database.utils as DbUtils

# Declaring a blueprint
person = Blueprint('person', __name__)


@person.route("/person_register", methods=['GET', 'POST'])
def person_register():
    form = personForm()
    if form.validate_on_submit():
        companyID = DbUtils.getCompanyId(form.company_id.data)
        person = Person(
            name=form.name.data,
            last_name=form.last_name.data,
            date_of_birth=form.date_of_birth.data,
            tel_prof_fix=form.tel_prof_fix.data,
            tel_prof_mobile=form.tel_prof_mobile.data,
            tel_priv_fix=form.tel_priv_fix.data,
            tel_priv_mobile=form.tel_priv_mobile.data,
            mail_prof=form.mail_prof.data,
            mail_priv=form.mail_priv.data,
            company_id=companyID,
            country=DbUtils.getCompanyCountry(companyID),
            state=DbUtils.getCompanyState(companyID),
            city=DbUtils.getCompanyCity(companyID),
            post_code=DbUtils.getCompanyPostCode(companyID),
            street_name=DbUtils.getCompanyStreetName(companyID),
            street_no=DbUtils.getCompanyStreetNo(companyID),
            role_id=DbUtils.getPersonRoleId(form.role_id.data),
            competence_id=DbUtils.getPersonCompetenceId(form.competence_id.data))

        db.session.add(person)
        db.session.commit()

        flash(f'{"Company succesfull registered!"}', 'success')
        return render_template('person_register.html',
                           title='Register Person',
                           theme=themeMinibase,
                           form=form)
#        return redirect(url_for('company.company_register'))

    return render_template('person_register.html',
                           title='Register Person',
                           theme=themeMinibase,
                           form=form)
